Package com.smartgwt.client.bean.types

# Class PFloatValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.NumberValueType<Float>
com.smartgwt.client.bean.types.FloatValueType
com.smartgwt.client.bean.types.PFloatValueType

public class PFloatValueType extends FloatValueType

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PFloatValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class`
  `getValueType()`
  `protected Float`
  `nullValue()`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.FloatValueType

  `convertabilityFrom, convertFrom, isAssignableFrom`

  ### Methods inherited from class com.smartgwt.client.bean.types.NumberValueType

  `convertStringToNumber`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PFloatValueType

    public PFloatValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Overrides:
      `getValueType` in class `FloatValueType`

  - ### nullValue

    protected Float nullValue()
    Overrides:
      `nullValue` in class `BeanValueType<Float>`